# Draw
TKViewerTest
Viewer2dTest

# Viewer2dTest_DoubleMapNodeOfDoubleMapOfInteractiveAndName Class Reference

`#include <Viewer2dTest_DoubleMapNodeOfDoubleMapOfInteractiveAndName.hxx>`

## Public Member Functions

| Viewer2dTest_DoubleMapNodeOfDoubleMapOfInteractiveAndName (const Handle(AIS2D_InteractiveObject)&K1, const TCollection_AsciiString &K2, const TCollection_MapNodePtr &n1, const TCollection_MapNodePtr &n2)
Handle_AIS2D_InteractiveObject & | Key1 () const
TCollection_AsciiString & | Key2 () const
TCollection_MapNodePtr & | Next2 () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_AIS2D_InteractiveObject | myKey1
TCollection_AsciiString | myKey2
TCollection_MapNodePtr | myNext2

## Constructor & Destructor Documentation

Viewer2dTest_DoubleMapNodeOfDoubleMapOfInteractiveAndName::Viewer2dTest_DoubleMapNodeOfDoubleMapOfInteractiveAndName | ( | const Handle(AIS2D_InteractiveObject)& | K1,
|  | const TCollection_AsciiString & | K2,
|  | const TCollection_MapNodePtr & | n1,
|  | const TCollection_MapNodePtr & | n2
| ) |

## Member Function Documentation

Standard_EXPORT const Viewer2dTest_DoubleMapNodeOfDoubleMapOfInteractiveAndName::Handle | ( | Standard_Type |  | ) | const

Handle_AIS2D_InteractiveObject& Viewer2dTest_DoubleMapNodeOfDoubleMapOfInteractiveAndName::Key1 | ( |  | ) | const

TCollection_AsciiString& Viewer2dTest_DoubleMapNodeOfDoubleMapOfInteractiveAndName::Key2 | ( |  | ) | const

TCollection_MapNodePtr& Viewer2dTest_DoubleMapNodeOfDoubleMapOfInteractiveAndName::Next2 | ( |  | ) | const

## Field Documentation

Handle_AIS2D_InteractiveObject Viewer2dTest_DoubleMapNodeOfDoubleMapOfInteractiveAndName::myKey1 `[private]`

TCollection_AsciiString Viewer2dTest_DoubleMapNodeOfDoubleMapOfInteractiveAndName::myKey2 `[private]`

TCollection_MapNodePtr Viewer2dTest_DoubleMapNodeOfDoubleMapOfInteractiveAndName::myNext2 `[private]`

The documentation for this class was generated from the following file:

- Viewer2dTest_DoubleMapNodeOfDoubleMapOfInteractiveAndName.hxx